function getParameterByName(name, url = window.location.href) {
    name = name.replace(/[\[\]]/g, '\\$&');
    var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, ' '));
}
$(document).ready(function () {
    var id = getParameterByName('id');
    console.log(id);

    function get_data() {
        $.ajax({
            method: "GET",
            url: "../designer4.json",
            dataType: "json",

        })
            .done(function (msg) {
                for (var i = 0; i < msg.length; i++) {
                    if (msg[i].id == id) {
                        var aboutContent = '';
                        var aboutInt = '';
                        var aboutImg = '';
                        var aboutViedeo = '';
                        var aboutMethod = '';
                        aboutIntPhone = '';
                        var bodyBannerDes = '';
                        console.log(msg[i]);

                        // var res = msg.length;
                        // console.log(res);
                        // const limit = res;
                        // 公司簡介
                        aboutContent += ' \
                <div class="row px-0 mx-0">\
                    <div class="condition col-12 col-lg-4 bg-white">\
                        <h1 class="fs-3"><span style="color:#8DC21F" class="fw-bold fs-2">|</span>接案條件 condition</h1>\
                        <table class="table">\
                            <tbody>\
                                <tr>\
                                    <th class="w-25" scope="row">接案區域</th>\
                                    <td>\
                                        '+ msg[i].WorkLoc + '\
                                    </td>\
                                </tr>\
                    <tr>\
                        <th scope="row">接案類型</th>\
                        <td>\
                            '+ msg[i].WorkType + '\
                        </td>\
                    </tr>\
                    <tr>\
                        <th scope="row">接案風格</th>\
                        <td>\
                            '+ msg[i].WorkStyle + '\
                        </td>\
                    </tr>\
                    <tr>\
                        <th scope="row">接案預算</th>\
                        <td>\
                            '+ msg[i].WorkBudget + '\
                        </td>\
                    </tr>\
                    <tr>\
                        <th scope="row">接案坪數</th>\
                        <td>\
                            '+ msg[i].WorkSize + '\
                        </td>\
                    </tr>\
                    <tr>\
                        <th scope="row">特殊接案</th>\
                        <td>\
                            '+ msg[i].WorkSoho + '\
                        </td>\
                    </tr>\
                            </tbody >\
                        </table >\
                    </div >\
                    <div style="background: url(../img/about/sec01/idea.webp);  background-size: cover; background-repeat: no-repeat;"\
                        class="idea col-12 col-lg-4 text-white">\
                        <h1 class="fs-3"><span style="color:#8DC21F" class="fw-bold fs-2">|</span>設計理念 idea</h1>\
                        <table class="table table-borderless text-white">\
                        <tbody>\
                            <tr>\
                                <td>\
                                    '+ msg[i].DesignIdea1 + '\
                                </td>\
                            </tr>\
                        </tbody>\
                    </table>\
                    </div>\
                    <div style="background: url(../img/about/sec01/contact.webp);  background-size: cover;  background-repeat: no-repeat;"\
                        class="contact col-12 col-lg-4 text-white">\
                        <h1 class="fs-3"><span style="color:#8DC21F" class="fw-bold fs-2">|</span>聯絡設計師 contact</h1>\
                        <table class="table text-white">\
                            <tbody>\
                                <tr>\
                                    <td class="w-75">\
                                        <span>免付費電話／</span>  '+ msg[i].TollFreeCall + '\
                                    </td>\
                                </tr>\
                                <tr>\
                                    <td>\
                                        <span>電話／</span>'+ msg[i].Telephone + '\
                                    </td>\
                                </tr>\
                                <tr>\
                                    <td>\
                                        <span>地址／</span>'+ msg[i].Address + '\
                                    </td>\
                                </tr>\
                                <tr>\
                                    <td>\
                                        <span>傳真／</span>'+ msg[i].Fax + '\
                                    </td>\
                                </tr>\
                                <tr>\
                                    <td>\
                                        <span>電子郵件／</span><a target="_blank" href="mailto:'+ msg[i].Email + '">' + msg[i].Email + '</a>\
                                    </td>\
                                </tr>\
                                <tr>\
                                    <td>\
                                        <span>網站／</span><a target="_blank" href="'+ msg[i].Web + '">' + msg[i].Web + '</a>\
                                    </td>\
                                </tr>\
                                <tr>\
                                    <td>\
                                        <span>Facebook:</span><a target="_blank" href="'+ msg[i].Facebook + '">' + msg[i].Facebook + '</a>\
                                    </td>\
                                </tr>\
                            </tbody>\
                        </table>\
                    </div>\
                </div >';

                        aboutInt += ' \
                        <div class="banner-des row vertical align-items-end">\
                            <div class="col-2 pe-0">\
                                <img class="img-fluid" src="'+ msg[i].Designerimg + '" alt="">\
                            </div>\
                            <div class="banner-0 col-9 text-white">\
                                <div class="row">\
                                    <div class="banner-1 col-8 align-self-end">\
                                        <div style="font-weight: 900;" class="fs-2">'+ msg[i].WorkName + '</div>\
                                        <p><span class="fs-5">'+ msg[i].DesignerName + '</span>設計師</p>\
                                    </div>\
                                    <div class="banner-2 col-4">\
                                    <a href="../index.html"><img src="../img/about/banner/title.png" alt=""></a>\
                                    </div>\
                                </div>\
                            </div> \
                        </div>';
                        aboutIntPhone += ' \
                        <div class="banner-m row vertical align-items-end px-0 mx-0">\
                        <div class="bannerm-0 col-12 my-5 px-0">\
                        <a href="../index.html"><img class="img-fluid" src="../img/banner/banner-mobile.png" alt=""></a>\
                        </div>\
                            <div class="bannerm-2 col-7 order-2 col-lg-2 order-3 px-0 mx-0">\
                                <img class="img-fluid" src="'+ msg[i].Designerimg + '" alt="">\
                            </div>\
                            <div class="bannerm-1 col-5 order-3 col-lg-5 order-2 text-white text-start py-3">\
                                <div class="banner1-1" style="font-weight: 900;">'+ msg[i].WorkName + '</div>\
                                <p><span class="fs-5">'+ msg[i].DesignerName + '</span>設計師</p>\
                             </div>\
                        </div>';

                        console.log(msg[i].workimg.length)
                        for (var j = 0; j < msg[i].workimg.length; j++) {
                            aboutImg += ' \
                            <div class="secimg col-lg-4 mx-0 px-0">\
                            <a target="_blank" href="'+ msg[i].workimg[j].workSrc + '"><img class="img-fluid" src="' + msg[i].workimg[j].img + '" alt=""></a>\
                                <div class="sec02-p-m p-1 mt-1 text-center">\
                                <p>'+ msg[i].workimg[j].text + '</p>\
                                </div>\
                            </div>';

                        }
                            var j =0;
                       
                            if (msg[i].workVideo[j]==undefined) {
                                aboutViedeo += ' \
                                <div id="sec05" class="sec05-row row align-items-center h-100 m-auto" style=" background: rgba(0, 0, 0, 0.8);text-align: center;">\
                                <div style="padding:20vw 0px">\
                                    <h1 class="align-self-center" style="color:#86B81D;">Stay tuned !</h1>\
                                    <p class="align-self-center" style="color:#fff;  letter-spacing: 5px;">...敬請期待...</p>\
                                </div>\
                            </div>';
                            } else {
                            for (var j = 0; j < msg[i].workVideo.length; j++) {
                                aboutViedeo += ' \
                                <div class="secimg col-lg-4 p-0">\
                                <a target="_blank" href="'+ msg[i].workVideo[j].videoSrc + '"><img class="img-fluid" src="' + msg[i].workVideo[j].video + '" alt=""></a>\
                                <div class="sec03-p-m p-1 mt-1 text-center">\
                                    <p>'+ msg[i].workVideo[j].videotext + '</p>\
                                    </div>\
                                </div>';
                            }
                        }
                        var j =0;
                        if (msg[i].workMethod[j]==undefined) {
                            aboutMethod += ' \
                            <div id="sec05" class="sec05-row row align-items-center h-100 m-auto" style=" background: rgba(0, 0, 0, 0.8);text-align: center;">\
                            <div style="padding:20vw 0px">\
                                <h1 class="align-self-center" style="color:#86B81D;">Stay tuned !</h1>\
                                <p class="align-self-center" style="color:#fff;  letter-spacing: 5px;">...敬請期待...</p>\
                            </div>\
                        </div>';
                        } else {
                            for (var j = 0; j < msg[i].workMethod.length; j++) {
                                aboutMethod += ' \
                                <div class="secimg col-lg-4 p-0">\
                                <a target="_blank" href="'+ msg[i].workMethod[j].Methodsrc + '"><img class="img-fluid" src="' + msg[i].workMethod[j].Methodimg + '" alt=""></a>\
                                <div class="sec04-p-m p-1 mt-1 text-center">\
                                    <p>'+ msg[i].workMethod[j].Methodtext + '</p>\
                                    </div>\
                                </div>';
                            }
                        }

                        bodyBannerDes += ' \
                        <img class="banner-img" id="img_id"  src="'+ msg[i].workimg[0].img + '" alt="">\
                       ';

                        $('.sec03-1').html(aboutViedeo);
                        $('.sec02-1').html(aboutImg);
                        $('.banner-des-about').html(aboutInt);
                        $('.sec01').html(aboutContent);
                        $('.sec04-1').html(aboutMethod);
                        $('.banner-m').html(aboutIntPhone);
                        $('#bannerdes-img').html(bodyBannerDes);

                    }
                }

            });
    }

    get_data();


});

// $(".arrow").hide();
$(window).scroll(function () {
    var y = window.scrollY;
    if (y > 500) {
        $(".arrow").show();
    } else {
        $(".arrow").hide();
    }

});


// $(window).scroll(function () {
//     var y = window.scrollY;

//     if (y > 550) {
//         $(".nav").addClass("sfixed");
//     } else {
//         $(".nav").removeClass("sfixed");
//     }

// });
if (jQuery(window).width() < 767) {

    $(window).scroll(function () {
        var y = window.scrollY;
    
        if (y > 550) {
            $(".nav").css({"position":"fixed","top":"55px","width":"96vw","margin":"0 auto","z-index":"10"});
        } else {
            $(".nav").css({"position":"static","margin":"10px 0px"});
        }
    
    });
}
